Skip to main content
GET
/
v2
/
pages
/
metadata
Get meta information about live pages
curl --request GET \
  --url https://cdn.xm.fabric.inc/api/v2/pages/metadata
import requests

url = "https://cdn.xm.fabric.inc/api/v2/pages/metadata"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://cdn.xm.fabric.inc/api/v2/pages/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "size": 10,
  "nextCursor": "H796HJHGANLSADS",
  "data": [
    {
      "id": "5f328bf0b7c15700071233b9",
      "name": "HomePage",
      "updatedAt": "2021-09-09T21:03:29.617Z",
      "publishedAt": "2021-09-09T21:03:29.617Z",
      "metadata": {
        "url": "/home",
        "channels": [
          "00SZAU",
          "02SZCA"
        ],
        "seoFields": {
          "title": "SEO",
          "description": "SEO description",
          "metadata": [
            {
              "name": "background-color",
              "content": "white"
            }
          ]
        }
      }
    }
  ]
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Query Parameters

channels
string
default:12

Comma-separated list of channel IDs

size
integer<int32>
default:10

Number of records to be returned

Required range: 1 <= x <= 100
startCursor
string

Record pointer to get items after the specified record

Required string length: 15
Example:

"H796HJHGANLSADS"

Response

Successful operation

200 response object

size
integer<int32>
default:10

Number of records to be returned

Required range: 1 <= x <= 100
Example:

10

nextCursor
string

Record pointer to get items in the next data set

Required string length: 15
Example:

"H796HJHGANLSADS"

data
object[]